=== debian/changelog ===
libengine-gost-openssl1.1 (1.1.0.1-1) unstable; urgency=low

  * Initial upload
  * Closes: #870625

 -- Wartan Hachaturow <wart@debian.org>  Fri, 11 Aug 2017 19:34:28 +0300
