## libengine-gost-openssl1.1 1.1.0.3

=== debian/changelog ===
libengine-gost-openssl1.1 (1.1.0.3-1ubuntu1) jammy; urgency=medium

  * Stopgap patches for OpenSSL3 before migrating to provider API:
    - d/rules: downgrade deprecation errors to warnings to fix the build
      against OpenSSL 3
    - d/p/OpenSSL3.patch: Fix several const-correctness issues introduced
      by OpenSSL 3 API changes.

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 30 Nov 2021 17:26:08 +0100

libengine-gost-openssl1.1 (1.1.0.3-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 13:44:10 +0100

libengine-gost-openssl1.1 (1.1.0.3-1) unstable; urgency=medium

  * New upstream version

  * Closes: #898823, #906734

 -- Wartan Hachaturow <wart@debian.org>  Sun, 16 Sep 2018 18:58:16 +0300
