=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libengine-gost-openssl1.1
 Section: libs
 Priority: extra
-Maintainer: Wartan Hachaturow <wart@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wartan Hachaturow <wart@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libssl-dev, openssl
 Standards-Version: 3.9.5
 Homepage: https://github.com/gost-engine/engine
